Subject: Fwd: [GLOBAL-V6] Re: IPv6 Research/Not-for-profit Addressing

From: Aaron Kaplan <[email-masked]>
Date: Tue, 31 Jan 2006 01:13:29 +0100

Begin forwarded message:

> From: Aaron Kaplan <[email-masked]>
> Date: January 31, 2006 12:46:27 AM GMT+01:00
> To: [email-masked]
> Cc: Christopher Martin <[email-masked]>, global- 
> [email-masked], [email-masked]
> Subject: Re: [GLOBAL-V6] Re: IPv6 Research/Not-for-profit Addressing
>
>
> Let me maybe try to clarify Christopher Martin's point a bit.
> I recently went through a similar situation and fortunately our  
> community network
> achieved AS status. We are a meshed wireless network in Vienna,  
> Austria (http://funkfeuer.at). BUT we would not have been able to  
> do it without some help / intervention of a friendly ISP. The  
> barriers have in practice become to big for community projects to  
> become part of the regular internet.
>
> One of the forerunners of the wireless community networks -  
> freifunk.net - therefore just took some reserved IP space :  
> 104.x.x.x . Sad.
>
> In my humble opinion it makes absolutely no sense hoard IPv6 space  
> and an AS number. These  young networking fellows are actually  
> reinventing the way we think about the subject. It would be much  
> more interesting to give some IP space (hey wasn't it all about  
> having enough IP space?) to a very interesting experiment. Reality  
> will decide anyway if the community wireless net is technically and  
> socially feasible or no (so far it is in many different countries :)
> And no - it is not competition. Because a client will want to buy  
> some kind of SLA - that is something that he/she will not be able  
> to buy with wireless networks. Especially not in an ISM band.
>
>
> Please keep in mind what Van Jacobson et al recently said:
>
>    So if we want to think about where networking might be in 10 or
>    15 years, it behooves us to look at (r)evolution at the edge. [1]
>
>
> Christopher: Just make realities! They will like it anyway, once  
> they understood it.
>
>
> best regards,
> Aaron Kaplan.
> http://funkfeuer.at - mobile meshnetworking in Vienna
>
>
> PS: yes i know, it was about IPv6 space in the first place, but it  
> is the same thing. Established organizations don't want young  
> experimenters/i.e. they make things prohibitively expensive. And  
> yes, Christopher, IMHO it probably makes sense to first get v4  
> working anyway, because every windows comp errr sorry every windows  
> user only knows v4. And you need users in the beginning so that the  
> mesh becomes dense.
>
> ---
> [1]
> "Making the World (of Communications) a Different Place",
>
> David D. Clark, Craig Partridge, Robert T. Braden, Bruce Davie,  
> Sally Floyd,
> Van Jacobson, Dina Katabi, Greg Minshall, K.K. Ramakrishnan,  
> Timothy Roscoe,
> Ion Stoica, John Wroclawski and Lixia Zhang
>
> On Jan 30, 2006, at 1:47 PM, JORDI PALET MARTINEZ wrote:
>
>> Hi Chris,
>>
>> See below, in-line.
>>
>> Regards,
>> Jordi
>>
>>
>>
>>
>>> De: Christopher Martin <[email-masked]>
>>> Responder a: <[email-masked]>
>>> Fecha: Mon, 30 Jan 2006 23:22:34 +1100
>>> Para: <[email-masked]>
>>> CC: "[email-masked]" <[email-masked]>
>>> Asunto: RE: IPv6 Research/Not-for-profit Addressing
>>>
>>>
>>>
>>>> -----Original Message-----
>>>> From: Jeroen Massar [mailto:[email-masked]]
>>>> Sent: Monday, 30 January 2006 10:56 PM
>>>> To: Christopher Martin
>>>> Cc: [email-masked]; [email-masked]
>>>> Subject: Re: IPv6 Research/Not-for-profit Addressing
>>>>
>>>> The certainly do have options for IPv6 only. See:
>>>> http://www.apnic.net/docs/corpdocs/member-fee-schedule.html
>>>> Which means small: $2500 US which translates to $3750 AU.
>>>
>>> Those membership levels assume much larger allocations than we  
>>> require. It
>>> would be remiss of us to use our limited resources to acquire  
>>> assets which
>>> we could only hope to use a tiny portion of. We need a modest,  
>>> portable
>>> range.
>>
>> Remember that the minimum prefix for IPv6 is /32.
>>
>>>
>>>> What would be unfair is if a "non-profit" organization could get a
>>>> 'cheaper' prefix than a commercial organization. Especially  
>>>> because you
>>>> are in direct competition with them. That your business model  
>>>> doesn't
>>>> give you enough funding doesn't mean that would become an option.
>>>> Then again politics on this planet seem to like those kind of  
>>>> constructs.
>>>
>>> Actually, there is no case of direct competition as the network:
>>>
>>> * Won't provide any IPv4 access to the internet
>>
>> I'm not sure to understand then how your users will use email and  
>> other
>> services, which aren't yet available with IPv6 worldwide. Same for  
>> lots of
>> web sites, which are only available with IPv4. Unless you have  
>> plans for
>> doing some proxying ?
>>
>>> * Won't provide any 6-to-4 translation/bridging to the internet
>>
>> 6to4 is not a translation, is an automatic tunneling mechanism.
>>
>>> * Won't offer any guaranteed quality of service
>>>
>>> For those who can afford a form of broadband it will be a  
>>> supplemental
>>> service, while those who can't can still act as a peer on at  
>>> least some form
>>> of network.
>>>
>>> As a side note, the ISP industry worldwide is marching all over  
>>> the original
>>> model of the internet, that being a peer-to-peer network, by  
>>> forcing DHCP
>>> addressing on permanent services like cable and ADSL.
>>
>> Not all, some realized already that this is not longer good even  
>> for them
>> ...
>>
>>>
>>>> "Pricing" is globally mostly the same btw.
>>>>
>>>>> Is there address space made available for research purposes, or  
>>>>> is there
>>>>> space set aside for not-for-profit use?
>>>>
>>>> Your best bet is to contact AARNet (http://www.aarnet.edu.au),  
>>>> they are
>>>> in Australia for research and education and already provide IPv6
>>>> connectivity. They might be able to help you out.
>>>
>>> We have approached AARNet, however they require a peering  
>>> agreement to be in
>>> place, but the requirements are a very steep hill to climb, needing
>>> multi-megabit links in each state, which presupposes the  
>>> existence of a
>>> network.
>>>
>>>> There is also at least one project which has received their own  
>>>> IPv6
>>>> allocation and  is also non-profit. Maybe OCCAID (http:// 
>>>> www.occaid.org)
>>>> can help you out.
>>>
>>> Thanks, I will approach them.
>>
>> Not sure if this is case for OCCAID, as the idea here is not to  
>> provide
>> addressing space, but transit for those that can't get good  
>> quality transit
>> from your own upstreams, which seems not to be your case ?
>>
>>>
>>>> Thirdly there is an "Experimental IPv6 Allocation" policy:
>>>> See: http://www.ripe.net/ripe/docs/ipv6policy.html
>>>
>>> Again, thanks for the info.
>>
>> This is oriented to experiments, not really services. If it is a  
>> trial
>> service, may work.
>>
>>>
>>>> BTW: 6bone is dead per 6/6/6.
>>>
>>> We are aware, and the ISPs in question are looking at connecting  
>>> to Telstra,
>>> Optus and NTT's v6 trial networks.
>>
>> They should be no longer trials !
>>
>>>
>>> Thanks for you replies.
>>>
>>> --------------------------------------------------------------------
>>> IETF IPv6 working group mailing list
>>> [email-masked]
>>> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>>> --------------------------------------------------------------------
>>
>>
>>
>>
>> **********************************************
>> The IPv6 Portal: http://www.ipv6tf.org
>>
>> Barcelona 2005 Global IPv6 Summit
>> Slides available at:
>> http://www.ipv6-es.com
>>
>> This electronic message contains information which may be  
>> privileged or confidential. The information is intended to be for  
>> the use of the individual(s) named above. If you are not the  
>> intended recipient be aware that any disclosure, copying,  
>> distribution or use of the contents of this information, including  
>> attached files, is prohibited.
>>
>>
>>
>> _______________________________________________
>> global-v6 mailing list
>> [email-masked]
>> http://mailman.apnic.net/mailman/listinfo/global-v6
>>
>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------